Установка VMware ESXi 5.5 на хост с менее 4 ГБ ОЗУ

Начиная с версии 5.5 VMware ESXi требует 4 ГБ ОЗУ для установки, что бывает существенно для старых серверов и домашних лабораторий.

Я же захотел обновить ESXi 5.1 до версии 5.5 у нашего героя из предыдущей истории VMware ESXi и Realtek 8168/8169/8111 — HP DL360 G5.

Во время ошибки «MEMORY_SIZE ERROR» жмем ALT+F1, заходим под root без пароля. Выполняем следующие действия:


# cd /usr/lib/vmware/weasel/util
 # rm upgrade_precheck.pyc
 # mv upgrade_precheck.py upgrade_precheck.py.old
 # cp upgrade_precheck.py.old upgrade_precheck.py
 # chmod 666 upgrade_precheck.py
 # vi upgrade_precheck.py

Ищем строку с текстом MEM_MIN_SIZE  и расчетом 4*1024. У меня это была 1105 строка. Заменяем 4 на 2 либо 1 и сохраняем.

# ps -c | grep weasel

( это будет python PID )

 # kill -9 <PID>

После этого инсталлятор перезапустится.

Другие инструкции на английском с пояснениями:

how to: Installing ESXi 5.5 on less than 2GB RAM

ESXi 5.5 – Installing with less than 4Gib RAM. (ESX MEMORY_SIZE ERROR during install)

Запись опубликована в рубрике 5.5, Hardware, HP, VMware, vSphere, Советы. Добавьте в закладки постоянную ссылку.

3 комментария: Установка VMware ESXi 5.5 на хост с менее 4 ГБ ОЗУ

  1. philzy говорит:

    А что можно запустить на 2 Гб ОЗУ???

  2. Rsx говорит:

    Спасибо!
    По поводу чего либо на 2 гб озу? Легко, мне нынче нужно поднять Еластикс и чистый астериск на 3х гб ОЗУ (2 под эласт и 1 под астер), на 1 трехядерном огрызке с 4 гб оперативки (из них часть жрет онборд видео, инстал обычный не пройдет)
    И куча вариантов с поднятием на таких корчах фрибсд шлюза + файлопомойки+впн (керио, не опен) пары вин ХР для оч своеобразного софта, там 256 оперы хватает с головой ну и так далее
    ЗЫЫ огромное спасибо автору!

  3. Mister Nobody говорит:

    У меня это OpenVPN на SLES.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *